package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.DHwxxsjyVO;
import com.unis.base.server.entity.DHwxxsjyDO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @author huangxing
 * @version 1.0
 * @Title: DHwxxsjyService
 * @ProjectName DHwxxsjyService
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface DHwxxsjyService {

    /**
     * 根据参数查询货位列表
     *
     * @param dHwxxsjyVO
     * @return
     * @author huangxing
     */
    List<DHwxxsjyVO> getDHwxxsjyList(DHwxxsjyVO dHwxxsjyVO);

    /**
     * 根据参数分页查询货位列表
     *
     * @param dHwxxsjyVO
     * @return
     * @author huangxing
     */
    List<DHwxxsjyVO> getDHwxxsjyPage(DHwxxsjyVO dHwxxsjyVO, Integer pageNum, Integer pageSize);

    /**
     * 新增货位信息
     *
     * @param dHwxxsjyVO
     * @return
     */
    int insert(DHwxxsjyVO dHwxxsjyVO);

    /**
     * 更新货位信息
     *
     * @param dHwxxsjyVO
     * @return
     */
    int update(DHwxxsjyVO dHwxxsjyVO);

    /**
     * 删除货位信息
     *
     * @param hwbh
     * @return
     * @author huangxing
     */
    int delete(String hwbh);

    /**
     * 根据货位编号获取货位信息
     *
     * @param hwbh
     * @return 货位信息
     */
    DHwxxsjyDO getDHwxxsjyByhwbh(String hwbh);

    /**
     * 推送货位信息
     *
     * @param dHwxxsjyVO
     * @return
     */
    ResponseWrapper depotPush(DHwxxsjyVO dHwxxsjyVO);
}
